umbrello: DCodeDocumentation Class Reference

umbrello 2.37.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DCodeDocumentation Class Reference

`#include <dcodedocumentation.h>`

Inheritance diagram for DCodeDocumentation:

## Public Member Functions
| DCodeDocumentation (CodeDocument *doc, const QString &text=QString())
virtual | ~DCodeDocumentation ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
QString | toString () const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | getNewEditorLine (int amount)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
virtual void | saveToXMI (QXmlStreamWriter &writer)=0
virtual void | loadFromXMI (QDomElement &root)=0
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

A class representing a D documentation comment.

The syntax follows the D Style Guide (

See also
  http://www.digitalmars.com/d/dstyle.html). Choice between single line and multiline comments is based on the common policy.

## Constructor & Destructor Documentation

## ◆ DCodeDocumentation()

DCodeDocumentation::DCodeDocumentation | ( | CodeDocument * | doc,
|  | const QString & | text = `QString()`
| ) |  |
| explicit

Constructors

## ◆ ~DCodeDocumentation()

DCodeDocumentation::~DCodeDocumentation | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ firstEditableLine()

int DCodeDocumentation::firstEditableLine | ( |  | ) |
| virtual

Ush. These are terrifically bad and must one day go away. Both methods indicate the range of lines in this textblock which may be edited by the code editor (assuming that any are actually editable). The default case is no lines are editable. The line numbering starts with '0' and a '-1' means no line qualifies.

Reimplemented from TextBlock.

## ◆ getNewEditorLine()

QString DCodeDocumentation::getNewEditorLine | ( | int | amount | ) |
| virtual

A special version here because we want to not only indent the new line, but to add the " * " sequence as well.

Reimplemented from TextBlock.

## ◆ lastEditableLine()

int DCodeDocumentation::lastEditableLine | ( |  | ) |
| virtual

See also
  firstEditableLine

Reimplemented from TextBlock.

## ◆ saveToXMI()

void DCodeDocumentation::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object.

Reimplemented from CodeComment.

## ◆ toString()

QString DCodeDocumentation::toString | ( |  | ) | const
| virtual

Creates a documentation block.

The syntax follows the D Style Guide (

See also
  http://www.digitalmars.com/d/dstyle.html). Choice between single line and multiline comments is based on the common policy.

Returns
  QString Documentation block source code.

Reimplemented from TextBlock.

## ◆ unformatText()

QString DCodeDocumentation::unformatText | ( | const QString & | text,
|  | const QString & | indent = `QString()`
| ) |  |
| virtual

UnFormat a long text string. Typically, this means removing the indentation (linePrefix) and/or newline chars from each line.

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/d/dcodedocumentation.h
- umbrello/codegenerators/d/dcodedocumentation.cpp